import React, { Component } from 'react';
import './Hello.css';


export class HiElem extends Component {
  constructor(props) {
    super(props);

    this.state = {showGreeting: false, name: ""};
  }

  render = () => {
    if (this.state.showGreeting) {
      return <p>Hi, {this.state.name}!</p>
    } else {
      return <p>What is your name?
          <input type="text" value={this.state.name}
              onChange={this.doNameChange}></input>
          <button onClick={this.doDoneClick}>Done</button>
        </p>;
    }
  };

  doNameChange = (evt) => {
    this.setState({name: evt.target.value});
  };

  doDoneClick = (evt) => {
    this.setState({showGreeting: true});
  };
}
